#ifndef GLOBALS_H
#define GLOBALS_H
//Settings for the object recognition node
#define NODE_NAME "object_recognition_node"
#define CONTROL_TOPIC "object_recognition_control"
#define IMAGE_TOPIC "komodo_1/komodo_1_Asus_Camera/rgb/image_raw"
#define RESULT_TOPIC "object_recognition_corners"
#define WRITE_PATH "/src/object_recognition/write_image.jpg"
#define DELAY 400
#define TEMPLATE_QUANTITY 2
#define MAX_SAMPLE_COUNT 10
//Settings for the Object Recognition Algorithm
#define ACCURACY 0.6

//Global Variables for object recognition algorithm
cv::Mat scene_matches[TEMPLATE_QUANTITY];

int sample_count=0;
//Global variables
cv::Mat templates[TEMPLATE_QUANTITY]; //This is used by both the node and the object recognizer.
cv::Mat scene; //Holds the image from the robot
typedef struct object_recognition_output
{
  float precentage;
  std::vector<cv::Point2f> corners; //It is of size 4
} object_recognition_output;

//This actually belongs to the object recognition algorithm, however you might want the results of more than 1 template.
object_recognition_output results[TEMPLATE_QUANTITY];

//The best matching result - it is published to RESULT_TOPIC
object_recognition_output result;
#endif