#ifndef OBJECT_RECOGNITION_H
#define OBJECT_RECOGNITION_H
//OpenCV
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/core/core.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/calib3d/calib3d.hpp"
#include "features2d/features2d.hpp"
#include "nonfree/nonfree.hpp"
//Other
#include <stdio.h>
#include <iostream>

//This functions determines if a given Point2f is inside the polygon determined by corners (assuming 4 corners).
bool point_is_inside(std::vector<cv::Point2f> corners, cv::Point2f pt);
//This function is basically our technique to determine how successful (accurate) the recognition was.
float is_mostly_inside(std::vector<cv::Point2f> sceneCorners, std::vector<cv::Point2f> points);
//Tries to recognize the template indexed by template_num is in the scene
void object_recognizing(int template_num);
void object_recognition();
#endif