#ifndef OBJECT_RECOGNITION_NODE_H
#define OBJECT_RECOGNITION_NODE_H
//OpenCV related includes
#include "opencv2/core/core.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/highgui/highgui.hpp"
//ROS related includes
#include "ros/ros.h"
#include "std_msgs/Int32.h"
#include "sensor_msgs/Image.h"
#include "std_msgs/MultiArrayLayout.h"
#include "std_msgs/MultiArrayDimension.h"
#include "std_msgs/Float32MultiArray.h"
//Image Transport related includes
#include <image_transport/image_transport.h>
#include <cv_bridge/cv_bridge.h>
//Other Libraries
#include <stdio.h>
#include <iostream>
#include <string.h>
#include <stdlib.h>
//Functions you should probably not touch unless you read the code thoroughly
void analyze_object_recognition();
//Functions you might want to implement by yourselves
void init_templates();
//Functions you might want to add more options to
void read_image_callback(const sensor_msgs::ImageConstPtr& msg);
void activate_control_callback(const std_msgs::Int32::ConstPtr& msg);
#endif